Subject: pkg/24444: "balsa" package cannot be built under NetBSD 1.6.2
To: None <>
From: Matthias Scheler <>
List: netbsd-bugs
Date: 02/16/2004 17:43:22
>Number:         24444
>Category:       pkg
>Synopsis:       "balsa" package cannot be built under NetBSD 1.6.2
>Confidential:   no
>Severity:       serious
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Feb 16 16:44:00 UTC 2004
>Release:        NetBSD 1.6.2
Matthias Scheler                        
System: NetBSD 1.6.2 NetBSD 1.6.2 (COLWYN) #1: Sun Feb 8 11:34:08 CET 2004 i386
Architecture: i386
Machine: i386
The "balsa2" package cannot be build under NetBSD 1.6.2 any more:

===> Checking for vulnerabilities in balsa-2.0.16nb2
=> Checksum OK for balsa-2.0.16.tar.bz2.
checking for smtp_start_session in -lesmtp... yes
checking for smtp_option_require_all_recipients in -lesmtp... yes
checking for smtp_starttls_set_password_cb in -lesmtp... yes
checking for iconv_open in -liconv... no
checking for iconv_open... no
configure: error: *** You need iconv for balsa.
*** Error code 1

make: stopped in /src/NetBSD-current/pkgsrc/mail/balsa2
*** Error code 1

The problem is apparently that it insists on a symbol "iconv_open" while
the "libiconv" from the "libiconv" package provides "libiconv_open".

cd pkgsrc/mail/balsa2

None provided.